Description

I think this is a 1.1 to 1.2 regression - the hostgroup column in the main host list is shortening long hostgroups rather aggressively. 

This means relatively small hierarchies, such as "Base/builders/redhat" in our own infra are shortened to "Bas...redhat".

There is free whitespace in other columns, e.g. last report and hostname which would be nice to reclaim for this.  Else, it would be

good to have a tooltip at least on the hostgroup cell to show the full title.

Associated revisions

Revision 3cda1a73 - 05/12/2013 07:52 AM - Dominic Cleal

fixes #2453 - fix aggressive truncation of hostgroups < 26 chars

Revision 7edfd32f - 05/13/2013 03:32 PM - Dominic Cleal

fixes #2453 - fix aggressive truncation of hostgroups < 26 chars

(cherry picked from commit 3cda1a7360cb4f27b7dff8db6717cdc91e1ca904)

History

#1 - 05/07/2013 09:51 AM - Lukas Zapletal

- Status changed from New to Assigned

- Assignee changed from Amos Benari to Lukas Zapletal

- Difficulty set to easy

Ok let's see :)

#2 - 05/07/2013 10:20 AM - Lukas Zapletal

- Assignee changed from Lukas Zapletal to Dominic Cleal

So I can confirm trimming works as expected (?) It does trim at 26 characters, when subhostgroup is used it properly (?) trims in the "middle" and

when I hover on the link I can see the whole name.

Putting back to Dominic than. Not sure what is wrong here. Maybe some combination of string and browser width that made a wrap or something?

#3 - 05/07/2013 10:33 AM - Dominic Cleal

- Status changed from Assigned to Feedback

#4 - 05/10/2013 05:11 AM - Dominic Cleal

- Status changed from Feedback to Ready For Testing

I've narrowed it down.. I've got a host group whose label is 20 characters ("Base/builders/redhat") so it's within the 26 character limit, but the parent

host group part of the label was being truncated when it shouldn't have been.

https://github.com/theforeman/foreman/pull/602
#5 - 05/12/2013 02:57 PM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 3cda1a7360cb4f27b7dff8db6717cdc91e1ca904.
